= cowboy_req:has_resp_header(3)

== Name

cowboy_req:has_resp_header - Is the given response header set?

== Description

[source,erlang]
----
has_resp_header(Name, Req :: cowboy_req:req()) -> boolean()

Name :: binary()  %% lowercase; case insensitive
----

Return whether the given response header has been set.

The header name must be given as a lowercase binary string.
While header names are case insensitive, Cowboy requires them
to be given as lowercase to function properly.

== Arguments

Name::

Header name as a lowercase binary string.

Req::

The Req object.

== Return value

A boolean indicating whether the given response header has been set.

== Changelog

* *1.0*: Function introduced.

== Examples

.Check whether the content-type header has been set
[source,erlang]
----
false = cowboy_req:has_resp_header(<<"content-type">>, Req0),
Req = cowboy_req:set_resp_header(<<"content-type">>, <<"text/html">>, Req0),
true = cowboy_req:has_resp_header(<<"content-type">>, Req).
----

== See also

link:man:cowboy_req(3)[cowboy_req(3)],
link:man:cowboy_req:set_resp_header(3)[cowboy_req:set_resp_header(3)],
link:man:cowboy_req:set_resp_headers(3)[cowboy_req:set_resp_headers(3)],
link:man:cowboy_req:resp_header(3)[cowboy_req:resp_header(3)],
link:man:cowboy_req:resp_headers(3)[cowboy_req:resp_headers(3)],
link:man:cowboy_req:delete_resp_header(3)[cowboy_req:delete_resp_header(3)]
